## fextremes 200.10058

=== DESCRIPTION ===
Package: fExtremes
Version: 200.10058
Date: 2004
Title: Financial Software Collection - fExtremes
Author: Diethelm Wuertz and many others, see the SOURCE file
Depends: R (>= 1.9.0), fBasics, methods
Maintainer: Diethelm Wuertz <wuertz@itp.phys.ethz.ch>
Description: fExtremes Library from Rmetrics -
	Rmetrics is an Environment and 
	Software Collection for teaching
	"Financial Engineering and Computational Finance"
License: GPL Version 2 or later
URL: http://www.itp.phys.ethz.ch/econophysics/R/2.0
Packaged: Tue Oct 12 21:51:39 2004; myself

## fextremes 260.72

=== DESCRIPTION ===
Package: fExtremes
Version: 260.72
Date: 1997 - 2007
Title: Rmetrics - Extreme Financial Market Data
Author: Diethelm Wuertz and many others, see the SOURCE file
Depends: R (>= 2.4.0), fBasics
Maintainer: Diethelm Wuertz and Rmetrics Core Team <Rmetrics-core@r-project.org>
Description: Environment for teaching "Financial Engineering and Computational Finance"
NOTE: SEVERAL PARTS ARE STILL PRELIMINARY AND MAY BE CHANGED IN THE FUTURE.
      THIS TYPICALLY INCLUDES FUNCTION AND ARGUMENT NAMES,
      AS WELL AS DEFAULTS FOR ARGUMENTS AND RETURN VALUES.
LazyLoad: yes
LazyData: yes
License: GPL Version 2 or later
URL: http://www.rmetrics.org
Packaged: Mon Oct  8 14:08:19 2007; myself

## fextremes 260.73

=== DESCRIPTION ===
Package: fExtremes
Version: 260.73
Date: 1997 - 2007
Title: Rmetrics - Extreme Financial Market Data
Author: Diethelm Wuertz and many others, see the SOURCE file
Depends: R (>= 2.4.0), methods, fBasics
Maintainer: Diethelm Wuertz and Rmetrics Core Team <Rmetrics-core@r-project.org>
Description: Environment for teaching "Financial Engineering and Computational Finance"
NOTE: SEVERAL PARTS ARE STILL PRELIMINARY AND MAY BE CHANGED IN THE FUTURE.
      THIS TYPICALLY INCLUDES FUNCTION AND ARGUMENT NAMES,
      AS WELL AS DEFAULTS FOR ARGUMENTS AND RETURN VALUES.
LazyLoad: yes
LazyData: yes
License: GPL (>= 2)
URL: http://www.rmetrics.org
Packaged: Fri Jun 20 09:55:27 2008; yankee

=== inst/unitTests/Makefile ===
PKG=fExtremes
TOP=../..
SUITE=doRUnit.R
R=R

all: inst test

inst: # Install package -- but where ?? -- will that be in R_LIBS ?
    cd ${TOP}/..;\
    ${R} CMD INSTALL ${PKG}

test: # Run unit tests
    export RCMDCHECK=FALSE;\
    cd ${TOP}/tests;\
    ${R} --vanilla --slave < ${SUITE}

## fextremes 2100.77

=== DESCRIPTION ===
Package: fExtremes
Version: 2100.77
Revision: 4405
Date: 2009-09-28
Title: Rmetrics - Extreme Financial Market Data
Author: Diethelm Wuertz and many others, see the SOURCE file
Depends: R (>= 2.4.0), methods, timeDate, timeSeries, fBasics, fGarch,
        fTrading
Suggests: RUnit, tcltk
Maintainer: Rmetrics Core Team <Rmetrics-core@r-project.org>
Description: Environment for teaching "Financial Engineering and
        Computational Finance"
NOTE: SEVERAL PARTS ARE STILL PRELIMINARY AND MAY BE CHANGED IN THE
        FUTURE. THIS TYPICALLY INCLUDES FUNCTION AND ARGUMENT NAMES, AS
        WELL AS DEFAULTS FOR ARGUMENTS AND RETURN VALUES.
LazyLoad: yes
LazyData: yes
License: GPL (>= 2)
URL: http://www.rmetrics.org
Packaged: 2009-09-28 15:21:29 UTC; yankee
Repository: CRAN
Date/Publication: 2009-09-30 19:26:48

## fextremes 3010.81

=== DESCRIPTION ===
Package: fExtremes
Version: 3010.81
Revision: 5532
Date: 2013-12-17
Title: Rmetrics - Extreme Financial Market Data
Author: Diethelm Wuertz and many others, see the SOURCE file
Depends: R (>= 2.4.0), timeDate, timeSeries, fBasics, fGarch, fTrading
Imports: methods
Suggests: RUnit, tcltk
Maintainer: Yohan Chalabi <yohan.chalabi@rmetrics.org>
Description: Environment for teaching "Financial Engineering and
        Computational Finance"
Note: Several parts are still preliminary and may be changed in the
        future. this typically includes function and argument names, as
        well as defaults for arguments and return values.
LazyData: yes
License: GPL (>= 2)
URL: http://www.rmetrics.org
Packaged: 2013-12-17 20:40:23 UTC; yohan
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-12-17 23:16:44

=== inst/unitTests/Makefile ===
PKG=fExtremes
TOP=../..
SUITE=doRUnit.R
R=R

all: inst test

inst: # Install package -- but where ?? -- will that be in R_LIBS ?
	cd ${TOP}/..;\
	${R} CMD INSTALL ${PKG}

test: # Run unit tests
	export RCMDCHECK=FALSE;\
	cd ${TOP}/tests;\
	${R} --vanilla --slave < ${SUITE}

## fextremes 3042.82

=== DESCRIPTION ===
Package: fExtremes
Title: Rmetrics - Modelling Extreme Events in Finance
Date: 2017-11-12
Version: 3042.82
Author: Diethelm Wuertz [aut],
	Tobias Setz [cre],
	Yohan Chalabi [ctb]
Maintainer: Tobias Setz <tobias.setz@live.com>
Description: Provides functions for analysing
  and modelling extreme events in financial time Series. The
  topics include: (i) data pre-processing, (ii) explorative 
  data analysis, (iii) peak over threshold modelling, (iv) block
  maxima modelling, (v) estimation of VaR and CVaR, and (vi) the
  computation of the extreme index.
Depends: R (>= 2.15.1), timeDate, timeSeries, fBasics, fGarch
Imports: methods, graphics, stats
Suggests: RUnit, tcltk
LazyData: yes
License: GPL (>= 2)
URL: http://www.rmetrics.org
NeedsCompilation: no
Packaged: 2017-11-17 06:59:49 UTC; Tobias Setz
Repository: CRAN
Date/Publication: 2017-11-17 08:38:27 UTC

=== debian/changelog ===
fextremes (3042.82-3) unstable; urgency=medium

  * Rebuilt for r-4.0 transition

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 18 May 2020 10:15:11 -0500

fextremes (3042.82-2) unstable; urgency=medium

  * Rebuilding for R 3.5.0 transition
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: to 'debhelper (>= 10)'
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 05 Jun 2018 20:22:45 -0500

fextremes (3042.82-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 
  * debianb/control: Add Depends: on ${misc:Depends}
  * debian/compat: Set level to 9

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 18 Nov 2017 09:43:13 -0600

fextremes (3010.81-2) unstable; urgency=medium

  * debian/compat: Created 			(Closes: #828110)
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 25 Jun 2016 07:09:38 -0500

fextremes (3010.81-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 17 Dec 2013 19:14:29 -0600

fextremes (3010.80-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 01 May 2013 06:24:27 -0500

fextremes (2160.79-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 05 Apr 2013 19:19:22 -0500

fextremes (2160.78-2) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version 
  
  * (Re-)building with R 3.0.0

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 03 Apr 2013 16:24:09 -0500

fextremes (2160.78-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 01 Dec 2012 16:53:07 -0600

fextremes (2100.77-3) unstable; urgency=low

  * Rebuilt for R 2.14.0 so that a default NAMESPACE file is created

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 23 Oct 2011 15:26:23 -0500

fextremes (2100.77-2) unstable; urgency=low

  * Rebuilt for R 2.10.0 to work with new R-internal help file conversion

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 04 Nov 2009 17:07:26 -0600

fextremes (2100.77-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 01 Oct 2009 07:14:19 -0500

fextremes (290.76-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: on r-cran-fbasics to (>= 290.76)
  
  * debian/control: Changed Section: to new section 'gnu-r'
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 3.8.1
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 18 Apr 2009 11:00:58 -0500

fextremes (270.75-1) unstable; urgency=low

  * New upstream release

  * debian/control: Updated (Build-)Depends: and Suggests:
  
  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 28 Oct 2008 21:26:34 -0500

fextremes (260.73-1) unstable; urgency=low

  * New upstream release

  * debian/control: Build-Depends: updated to current R version
  * debian/control: Standards-Version: updated to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 20 Jun 2008 15:33:49 -0500

fextremes (260.72-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: on r-cran-fbasics (>= 260.72)
  * debian/control: Added Build-Depends on xfvb for tcltk lazyload at build

  * Built with R 2.6.0, so setting (Build-)Depends: to 
    'r-base-(core|dev) >= 2.6.0' to prevent move to testing before R 2.6.0

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 11 Nov 2007 20:11:13 -0600

fextremes (251.70-1) unstable; urgency=low

  * New upstream release
  * debian/control: Updated (Build-)Depends: to 'r-base-(core|dev) (>= 2.5.1)'

  * DESCRIPTION: Set LazyLoad: to 'no' as builds would abort on autoloads of
    tcltk when there is no $DISPLAY defined.

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 10 Jul 2007 22:28:00 -0500

fextremes (240.10068-1) unstable; urgency=low

  * New upstream release
  * This version closes a bug caused by the r-cran-fseries package (on 
    which this Build-Depends:) that has been fixed there   (Closes: #393030)

  * debian/control: Build-Depends: updated to r-base-dev (>= 2.4.0)
  * debian/control: Added (Build-)Depends: for r-cran-fecofin
  * debian/control: Added missing Depends: ${shlibs:Depends} 
  * debian/control: Standards-Version: upgradeded to 3.7.2
  * debian/control: Set Architecture: to 'all' 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed,  1 Nov 2006 16:32:35 -0600

fextremes (221.10065-3) unstable; urgency=low

  * debian/control: Build-Depends (and Depends:) on updated 
   r-cran-fmultivar (>= 221-10065a)  			  (Closes: #369508)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri,  2 Jun 2006 13:21:23 -0500

fextremes (221.10065-2) unstable; urgency=low



=== debian/control ===
Source: fextremes
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 10), r-base-dev (>= 4.0.0), dh-r, r-cran-timedate, r-cran-timeseries, r-cran-fbasics (>= 290.76), r-cran-fgarch, r-cran-ftrading, xvfb, xauth, xfonts-base
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/edd/r-cran-fextremes
Vcs-Git: https://salsa.debian.org/edd/r-cran-fextremes.git
Homepage: https://cran.r-project.org/package=fExtremes

Package: r-cran-fextremes
Architecture: all
Depends: ${R:Depends}, ${misc:Depends}, r-cran-timedate, r-cran-timeseries, r-cran-fbasics (>= 290.76), r-cran-fgarch, r-cran-ftrading
Suggests: r-cran-runit
Description: GNU R package for financial engineering -- fExtremes
 This package of functions for financial engineering and computational
 finance is part of Rmetrics, a collection of packages written and
 compiled by Diethelm Wuertz. 
 .
 fExtremes provides functions to analyze extreme values.

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/fExtremes_([-0-9\.]*).tar.gz

## fextremes 4021.83

=== DESCRIPTION ===
Package: fExtremes
Title: Rmetrics - Modelling Extreme Events in Finance
Date: 2022-08-06
Version: 4021.83
Authors@R: c(person("Diethelm", "Wuertz", role = "aut")
	   , person("Tobias", "Setz", role = "aut")
	   , person("Yohan", "Chalabi", role = "aut")
	   , person(given = c("Paul", "J."), family = "Northrop", 
                    role = c("cre", "ctb"), email = "p.northrop@ucl.ac.uk") )
Description: Provides functions for analysing
  and modelling extreme events in financial time Series. The
  topics include: (i) data pre-processing, (ii) explorative 
  data analysis, (iii) peak over threshold modelling, (iv) block
  maxima modelling, (v) estimation of VaR and CVaR, and (vi) the
  computation of the extreme index.
Depends: R (>= 2.15.1)
Imports: fBasics, fGarch, graphics, methods, stats, timeDate,
        timeSeries
Suggests: RUnit, tcltk
LazyData: yes
License: GPL (>= 2)
URL: https://www.rmetrics.org
BugReports: https://r-forge.r-project.org/projects/rmetrics
NeedsCompilation: no
Packaged: 2022-08-06 07:26:34 UTC; paul
Author: Diethelm Wuertz [aut],
  Tobias Setz [aut],
  Yohan Chalabi [aut],
  Paul J. Northrop [cre, ctb]
Maintainer: Paul J. Northrop <p.northrop@ucl.ac.uk>
Repository: CRAN
Date/Publication: 2022-08-06 14:10:02 UTC

=== inst/unitTests/Makefile ===


=== debian/changelog ===
fextremes (4021.83-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 07 Aug 2022 08:02:47 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 4.0.0), dh-r, r-cran-timedate, r-cran-timeseries, r-cran-fbasics (>= 290.76), r-cran-fgarch, r-cran-ftrading, xvfb, xauth, xfonts-base
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.2.1), dh-r, r-cran-timedate, r-cran-timeseries, r-cran-fbasics (>= 290.76), r-cran-fgarch, xvfb, xauth, xfonts-base
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-fextremes
 Vcs-Git: https://salsa.debian.org/edd/r-cran-fextremes.git
 Homepage: https://cran.r-project.org/package=fExtremes

## fextremes 4032.84

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Package: fExtremes
 Title: Rmetrics - Modelling Extreme Events in Finance
-Date: 2022-08-06
-Version: 4021.83
+Version: 4032.84
 Authors@R: c(person("Diethelm", "Wuertz", role = "aut")
 	   , person("Tobias", "Setz", role = "aut")
 	   , person("Yohan", "Chalabi", role = "aut")
@@ -22,11 +21,11 @@
 URL: https://www.rmetrics.org
 BugReports: https://r-forge.r-project.org/projects/rmetrics
 NeedsCompilation: no
-Packaged: 2022-08-06 07:26:34 UTC; paul
+Packaged: 2023-12-21 19:35:48 UTC; Paul
 Author: Diethelm Wuertz [aut],
   Tobias Setz [aut],
   Yohan Chalabi [aut],
   Paul J. Northrop [cre, ctb]
 Maintainer: Paul J. Northrop <p.northrop@ucl.ac.uk>
 Repository: CRAN
-Date/Publication: 2022-08-06 14:10:02 UTC
+Date/Publication: 2023-12-21 22:40:06 UTC

=== debian/changelog ===
fextremes (4032.84-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 28 Dec 2023 15:21:48 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.2.1), dh-r, r-cran-timedate, r-cran-timeseries, r-cran-fbasics (>= 290.76), r-cran-fgarch, xvfb, xauth, xfonts-base
-Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.2), dh-r, r-cran-timedate, r-cran-timeseries, r-cran-fbasics (>= 290.76), r-cran-fgarch, xvfb, xauth, xfonts-base
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-fextremes
 Vcs-Git: https://salsa.debian.org/edd/r-cran-fextremes.git
 Homepage: https://cran.r-project.org/package=fExtremes
